Bug 1364353 - Increase log level for some of the messages that occur in rgw admin command. [NEEDINFO]
Summary: Increase log level for some of the messages that occur in rgw admin command.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 2.1
Assignee: Matt Benjamin (redhat)
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504 1383917
TreeView+ depends on / blocked
 
Reported: 2016-08-05 07:40 UTC by shilpa
Modified: 2017-07-30 15:54 UTC (History)
16 users (show)

Fixed In Version: RHEL: ceph-10.2.3-2.el7cp Ubuntu: ceph_10.2.3-3redhat1xenial
Doc Type: Bug Fix
Doc Text:
.The `radosgw-admin` command no longer returns unnecessary error messages The log level of certain common error messages that are returned by the `radosgw-admin` command was set to `0`. Consequently, these messages appeared even though `radosgw-admin` command succeeded. The log level of these messages has been increased, and the messages no longer appear if `radosgw-admin` succeeds.
Clone Of:
Environment:
Last Closed: 2016-11-22 19:29:30 UTC
Target Upstream Version:
bancinco: needinfo? (mbenjamin)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16935 None None None 2016-08-05 07:40:10 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description shilpa 2016-08-05 07:40:11 UTC
Description of problem:

These messages should be suppressed from occuring

# radosgw-admin period update --commit
2016-08-02 14:48:28.672409 7f9e630639c0  0 error in read_id for id  : (2) No such file or directory
2016-08-02 14:48:28.687251 7f9e630639c0  0 Cannot find zone id=7a2a89b9-4f5e-4f60-a29e-451ac9acc5a8 (name=us-west), switching to local zonegroup configuration
2016-08-02 14:48:35.742185 7f9e630639c0  0 error read_lastest_epoch .rgw.root:periods.a3db7884-2445-4bab-a165-6730f8573b8f:staging.latest_epoch

Comment 4 shilpa 2016-08-17 09:17:48 UTC
Hi Bara,

Errors like these appear with radosgw-admin commands during multisite configuration:
2016-08-02 14:48:28.687251 7f9e630639c0  0 Cannot find zone id=7a2a89b9-4f5e-4f60-a29e-451ac9acc5a8 (name=us-west), switching to local zonegroup configuration
2016-08-02 14:48:35.742185 7f9e630639c0  0 error read_lastest_epoch .rgw.root:periods.a3db7884-2445-4bab-a165-6730f8573b8f:staging.latest_epoch

As long as the commands succeed, these messages can be ignored.

Comment 7 Ken Dreyer (Red Hat) 2016-09-21 20:18:14 UTC
https://github.com/ceph/ceph/pull/10765 was merged upstream for jewel and the fix will be in Ceph 10.2.3 for RHCS 2.1.

Comment 13 errata-xmlrpc 2016-11-22 19:29:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.